/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
DROP TABLE IF EXISTS stage;
CREATE TABLE `stage` (
  `id` char(25) NOT NULL,
  `description` char(255) DEFAULT '',
  `position` int(11) NOT NULL,
  PRIMARY KEY (`position`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
INSERT INTO `stage` (id,description,position) VALUES('Preliminary','','0');
INSERT INTO `stage` (id,description,position) VALUES('Scene','','1');
INSERT INTO `stage` (id,description,position) VALUES('Post','','2');
DROP TABLE IF EXISTS descriptor;
CREATE TABLE `descriptor` (
  `id` char(25) NOT NULL DEFAULT '',
  `description` char(255) DEFAULT '',
  `noFiles` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
INSERT INTO `descriptor` (id,description,noFiles) VALUES('geom_input','','2');
INSERT INTO `descriptor` (id,description,noFiles) VALUES('geom_out','','1');
INSERT INTO `descriptor` (id,description,noFiles) VALUES('prodgen_input','','3');
INSERT INTO `descriptor` (id,description,noFiles) VALUES('prodgen_output','','2');
INSERT INTO `descriptor` (id,description,noFiles) VALUES('sgm_output','','2');
DROP TABLE IF EXISTS io;
CREATE TABLE `io` (
  `descriptorId` char(75) NOT NULL,
  `place` int(10) unsigned NOT NULL DEFAULT '0',
  `id` char(255) NOT NULL,
  `description` char(255) DEFAULT '',
  PRIMARY KEY (`descriptorId`,`place`),
  CONSTRAINT `io_descriptor_constraint` FOREIGN KEY (`descriptorId`) REFERENCES `descriptor` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
INSERT INTO `io` (descriptorId,place,id,description) VALUES('geom_input','0','orbdata_folder','Folder with orbital data files for different initial RAANs');
INSERT INTO `io` (descriptorId,place,id,description) VALUES('geom_input','1','sc_inertia.nc','File with dynamic properties of the S/C');
INSERT INTO `io` (descriptorId,place,id,description) VALUES('geom_out','0','geometry.dat','');
INSERT INTO `io` (descriptorId,place,id,description) VALUES('prodgen_input','0','geometry.dat','');
INSERT INTO `io` (descriptorId,place,id,description) VALUES('prodgen_input','1','sg_data_outs','');
INSERT INTO `io` (descriptorId,place,id,description) VALUES('prodgen_input','2','ip_fw.bin','');
INSERT INTO `io` (descriptorId,place,id,description) VALUES('prodgen_output','0','coverage.dat','');
INSERT INTO `io` (descriptorId,place,id,description) VALUES('prodgen_output','1','revisit.dat','');
INSERT INTO `io` (descriptorId,place,id,description) VALUES('sgm_output','0','sg_data_summary.txt','');
INSERT INTO `io` (descriptorId,place,id,description) VALUES('sgm_output','1','sg_data_outs','');
DROP TABLE IF EXISTS model;
CREATE TABLE `model` (
  `id` char(25) NOT NULL DEFAULT '',
  `version` decimal(3,1) unsigned NOT NULL DEFAULT '0.0',
  `description` char(255) DEFAULT '',
  `author` char(75) DEFAULT '',
  `type` char(25) NOT NULL DEFAULT '',
  `sourceFile` char(255) DEFAULT '',
  `binaryFile` char(255) NOT NULL DEFAULT '',
  `confSchema` char(255) DEFAULT '',
  `defaultConfFile` char(255) NOT NULL DEFAULT '',
  `inputId` char(25) NOT NULL DEFAULT '',
  `outputId` char(25) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`,`version`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
INSERT INTO `model` (id,version,description,author,type,sourceFile,binaryFile,confSchema,defaultConfFile,inputId,outputId) VALUES('Geometry','0.0','','','Preliminary','','/mnt/c/Users/jvma/Documents/Projects/openSF/Material para workshop Jan18/ws_tut/Geometry.py','','/mnt/c/Users/jvma/Documents/Projects/openSF/Material para workshop Jan18/ws_tut/GEO.CI.02_check.xml','geom_input','geom_out');
INSERT INTO `model` (id,version,description,author,type,sourceFile,binaryFile,confSchema,defaultConfFile,inputId,outputId) VALUES('ProdGen','0.0','','','Post','','/mnt/c/Users/jvma/Documents/Projects/openSF/Material para workshop Jan18/ws_tut/ProductGen.py','','/mnt/c/Users/jvma/Documents/Projects/openSF/Material para workshop Jan18/ws_tut/PEM.CI.02_PEMConfig.xml','prodgen_input','prodgen_output');
INSERT INTO `model` (id,version,description,author,type,sourceFile,binaryFile,confSchema,defaultConfFile,inputId,outputId) VALUES('SceneGeneration','1.0','','','Scene','','/mnt/c/Users/jvma/Documents/Projects/openSF/Material para workshop Jan18/ws_tut/SceneGeneration.py','','/mnt/c/Users/jvma/Documents/Projects/openSF/Material para workshop Jan18/ws_tut/SGM.CI.02.xml','geom_out','sgm_output');
DROP TABLE IF EXISTS simulation;
CREATE TABLE `simulation` (
  `id` char(25) NOT NULL DEFAULT '',
  `description` char(255) DEFAULT '',
  `author` char(75) DEFAULT '',
  `start` char(25) NOT NULL DEFAULT '',
  `end` char(25) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `start_model_stage_constraint` (`start`),
  KEY `end_model_stage_constraint` (`end`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
DROP TABLE IF EXISTS session;
CREATE TABLE `session` (
  `id` char(75) NOT NULL DEFAULT '' COMMENT 'sessionName (YYYY-MM-DD hh:mm:ss.SSS)',
  `description` char(255) DEFAULT '',
  `author` char(75) DEFAULT '',
  `status` char(25) NOT NULL DEFAULT 'Undone',
  `lastModel` int(11) NOT NULL DEFAULT '0',
  `breakpoints` varchar(25) DEFAULT NULL COMMENT 'List of breakpoints as model indexes',
  `duration` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT 'Duration since dateTime to the end of the session (in milliseconds)',
  `executionMode` char(75) NOT NULL DEFAULT 'Data-Driven',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='InnoDB free: 80896 kB';
INSERT INTO `session` (id,description,author,status,lastModel,breakpoints,duration,executionMode) VALUES('t','','','NotStarted','-1','','0','Data-Driven');
INSERT INTO `session` (id,description,author,status,lastModel,breakpoints,duration,executionMode) VALUES('t2','','','NotStarted','-1','','0','Data-Driven');
INSERT INTO `session` (id,description,author,status,lastModel,breakpoints,duration,executionMode) VALUES('t3','','','NotStarted','-1','','0','Data-Driven');
DROP TABLE IF EXISTS tool;
CREATE TABLE `tool` (
  `id` char(75) NOT NULL,
  `action` char(75) NOT NULL DEFAULT '',
  `description` char(255) DEFAULT '',
  `extension` char(25) NOT NULL DEFAULT '',
  `executable` char(255) DEFAULT '',
  `param` char(255) DEFAULT '',
  PRIMARY KEY (`id`,`action`,`extension`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
DROP TABLE IF EXISTS modelofsim;
CREATE TABLE `modelofsim` (
  `simId` char(75) NOT NULL,
  `place` int(10) unsigned NOT NULL DEFAULT '0',
  `modelId` char(75) NOT NULL,
  `modelVersion` decimal(3,1) unsigned NOT NULL DEFAULT '0.0',
  `executionMode` char(75) NOT NULL DEFAULT 'Processing',
  PRIMARY KEY (`simId`,`place`),
  KEY `Secondary` (`modelId`,`modelVersion`),
  CONSTRAINT `mos_model_constraint` FOREIGN KEY (`modelId`, `modelVersion`) REFERENCES `model` (`id`, `version`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `mos_sim_constraint` FOREIGN KEY (`simId`) REFERENCES `simulation` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
DROP TABLE IF EXISTS ioofsession;
CREATE TABLE `ioofsession` (
  `sessionId` char(75) NOT NULL DEFAULT '' COMMENT 'sessionName (YYYY-MM-DD hh:mm:ss.SSS)',
  `modelPlace` int(11) NOT NULL DEFAULT '0',
  `ioPlace` int(11) NOT NULL DEFAULT '0',
  `type` varchar(25) NOT NULL DEFAULT '' COMMENT 'Input, Output, Configuration',
  `location` varchar(255) NOT NULL DEFAULT '',
  `source` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`sessionId`,`modelPlace`,`ioPlace`,`type`),
  KEY `ios_session_constraint` (`sessionId`),
  KEY `ios_io_constraint` (`modelPlace`,`ioPlace`),
  CONSTRAINT `ioos_session_constraint` FOREIGN KEY (`sessionId`) REFERENCES `session` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t','-1','-1','Configuration','/mnt/c/Users/jvma/Documents/Projects/openSF/Material para workshop Jan18/ws_tut/globalConfiguration.xml','t');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t','0','0','Configuration','/mnt/c/Users/jvma/Documents/Projects/openSF/Material para workshop Jan18/ws_tut/GEO.CI.02_check.xml','Geometry (0.0)');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t','0','0','Input','/mnt/c/Users/jvma/Documents/Projects/openSF/Material para workshop Jan18/ws_tut/orbit_data','Geometry (0.0)');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t','0','0','Output','geometry.dat','Geometry (0.0)');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t','0','1','Input','/mnt/c/Users/jvma/Documents/Projects/openSF/Material para workshop Jan18/ws_tut/sc_inertia.nc','Geometry (0.0)');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t2','-1','-1','Configuration','/mnt/c/Users/jvma/Documents/Projects/openSF/Material para workshop Jan18/ws_tut/globalConfiguration.xml','t2');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t2','0','0','Configuration','/mnt/c/Users/jvma/Documents/Projects/openSF/Material para workshop Jan18/ws_tut/GEO.CI.02_check.xml','Geometry (0.0)');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t2','0','0','Input','/mnt/c/Users/jvma/Documents/Projects/openSF/Material para workshop Jan18/ws_tut/orbit_data','Geometry (0.0)');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t2','0','0','Output','geometry.dat','Geometry (0.0)');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t2','0','1','Input','/mnt/c/Users/jvma/Documents/Projects/openSF/Material para workshop Jan18/ws_tut/sc_inertia.nc','Geometry (0.0)');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t2','1','0','Configuration','/mnt/c/Users/jvma/Documents/Projects/openSF/Material para workshop Jan18/ws_tut/SGM.CI.02.xml','SceneGeneration (1.0)');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t2','1','0','Input','geometry.dat','SceneGeneration (1.0)');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t2','1','0','Output','sg_data_summary.txt','SceneGeneration (1.0)');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t2','1','1','Output','sg_data_outs','SceneGeneration (1.0)');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t3','-1','-1','Configuration','/mnt/c/Users/jvma/Documents/Projects/openSF/Material para workshop Jan18/ws_tut/globalConfiguration.xml','t3');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t3','0','0','Configuration','/mnt/c/Users/jvma/Documents/Projects/openSF/Material para workshop Jan18/ws_tut/GEO.CI.02_check.xml','Geometry (0.0)');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t3','0','0','Input','/mnt/c/Users/jvma/Documents/Projects/openSF/Material para workshop Jan18/ws_tut/orbit_data','Geometry (0.0)');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t3','0','0','Output','geometry.dat','Geometry (0.0)');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t3','0','1','Input','/mnt/c/Users/jvma/Documents/Projects/openSF/Material para workshop Jan18/ws_tut/sc_inertia.nc','Geometry (0.0)');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t3','1','0','Configuration','/mnt/c/Users/jvma/Documents/Projects/openSF/Material para workshop Jan18/ws_tut/SGM.CI.02.xml','SceneGeneration (1.0)');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t3','1','0','Input','geometry.dat','SceneGeneration (1.0)');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t3','1','0','Output','sg_data_summary.txt','SceneGeneration (1.0)');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t3','1','1','Output','sg_data_outs','SceneGeneration (1.0)');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t3','2','0','Configuration','/mnt/c/Users/jvma/Documents/Projects/openSF/Material para workshop Jan18/ws_tut/PEM.CI.02_PEMConfig.xml','ProdGen (0.0)');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t3','2','0','Input','geometry.dat','ProdGen (0.0)');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t3','2','0','Output','coverage.dat','ProdGen (0.0)');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t3','2','1','Input','sg_data_outs','ProdGen (0.0)');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t3','2','1','Output','revisit.dat','ProdGen (0.0)');
INSERT INTO `ioofsession` (sessionId,modelPlace,ioPlace,type,location,source) VALUES('t3','2','2','Input','ip_fw.bin','ProdGen (0.0)');
DROP TABLE IF EXISTS paramofsession;
CREATE TABLE `paramofsession` (
  `id` char(255) NOT NULL,
  `sessionId` char(75) NOT NULL DEFAULT '' COMMENT 'sessionName (YYYY-MM-DD hh:mm:ss.SSS)',
  `modelPlace` int(11) NOT NULL DEFAULT '0',
  `type` char(25) NOT NULL DEFAULT '',
  `description` varchar(255) DEFAULT '',
  `units` varchar(25) DEFAULT NULL,
  `ndims` int(10) unsigned NOT NULL DEFAULT '1',
  `xmin` char(255) DEFAULT '',
  `xmax` char(255) DEFAULT '',
  `dims` varchar(25) DEFAULT '1',
  `valuesList` text,
  `paramPlace` int(10) unsigned NOT NULL,
  `visible` tinyint(1) DEFAULT '1',
  PRIMARY KEY (`sessionId`,`modelPlace`,`paramPlace`),
  KEY `pos_session_constraint` (`sessionId`),
  CONSTRAINT `pos_session_constraint` FOREIGN KEY (`sessionId`) REFERENCES `session` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='InnoDB free: 81920 kB';
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('orbit.Global param','t','-1','FLOAT','Example of global parameter','km','1','0','10.','','2.','0','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.reference_orbit_flex','t','0','FILE','Path of the reference orbit for a complete FLEX repetition cycle','','1','','','','/usr/local/flexe/current/auxiliary/OSS1/Reference_Orbit_FLEX_6s.nc','0','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.roll_angle','t','0','FLOAT','Observation roll angle','','1','','','','0.0','1','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.pitch_angle','t','0','FLOAT','Observation pitch angle','','1','','','','0.0','2','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.real_attitude_error_flex','t','0','FILE','Path of the file containing the time series for real attitude computation','','1','','','','/usr/local/flexe/current/auxiliary/OSS1/aocsErrors_v1.mat','3','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.estim_attitude_error_flex','t','0','FILE','Path of the file containing the time series for estimated attitude computation','','1','','','','/usr/local/flexe/current/auxiliary/OSS1/aocsErrors_v1.mat','4','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.estim_orbit_error_flex','t','0','FILE','Path of the file containing the time series for estimated orbit computation','','1','','','','/usr/local/flexe/current/auxiliary/OSS1/aocsErrors_v1.mat','5','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.floris_geometric_model_file','t','0','FILE','Path of the file containing the parameters of the geometric model characterizing FLORIS behaviour','','1','','','','/usr/local/flexe/current/auxiliary/OSS1/florisGeometricModel_v4.0.xml','6','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.estim_orbit_sampling_time','t','0','FLOAT','sampling time for estimated orbit generation','','1','','','','0.0625','7','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.estim_att_sampling_time','t','0','FLOAT','sampling time for estimated attitude generation','','1','','','','0.0625','8','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.nominal_floris_pix_size','t','0','FLOAT','nominal size of FLORIS pixels on ground','','1','','','','300','9','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.floris_co_registration_flag','t','0','BOOLEAN','Flag indicating if the co-registration instrumental errors are to be modelled or not','','1','','','','false','10','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.floris_interband_co_registration','t','0','FILE','param. related to geo_location_flag','','1','','','','not used by OSS_A','11','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.floris_temporal_co_registration','t','0','FILE','Temporal co-registration between FLORIS HR and LR','','1','','','','not used by OSS_A','12','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.num_parallel_cores','t','0','INTEGER','Number of parallel cores in the CPU to be used to parallelize internally the GEO execution.','','1','','','','0','13','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.floris_geo_location_flag','t','0','BOOLEAN','Flag indicating if the geo-location instrumental errors are to be modelled or not','','1','','','','false','14','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.floris_geo_location_param','t','0','FILE','param. related to geo_location_flag','','1','','','','not used by OSS_A','15','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('orbit.iniRaan','t2','-1','INTEGER','Example of global parameter','','1','0','10.','','2','0','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.reference_orbit_flex','t2','0','FILE','Path of the reference orbit for a complete FLEX repetition cycle','','1','','','','/usr/local/flexe/current/auxiliary/OSS1/Reference_Orbit_FLEX_6s.nc','0','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.roll_angle','t2','0','FLOAT','Observation roll angle','','1','','','','0.0','1','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.pitch_angle','t2','0','FLOAT','Observation pitch angle','','1','','','','0.0','2','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.real_attitude_error_flex','t2','0','FILE','Path of the file containing the time series for real attitude computation','','1','','','','/usr/local/flexe/current/auxiliary/OSS1/aocsErrors_v1.mat','3','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.estim_attitude_error_flex','t2','0','FILE','Path of the file containing the time series for estimated attitude computation','','1','','','','/usr/local/flexe/current/auxiliary/OSS1/aocsErrors_v1.mat','4','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.estim_orbit_error_flex','t2','0','FILE','Path of the file containing the time series for estimated orbit computation','','1','','','','/usr/local/flexe/current/auxiliary/OSS1/aocsErrors_v1.mat','5','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.floris_geometric_model_file','t2','0','FILE','Path of the file containing the parameters of the geometric model characterizing FLORIS behaviour','','1','','','','/usr/local/flexe/current/auxiliary/OSS1/florisGeometricModel_v4.0.xml','6','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.estim_orbit_sampling_time','t2','0','FLOAT','sampling time for estimated orbit generation','','1','','','','0.0625','7','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.estim_att_sampling_time','t2','0','FLOAT','sampling time for estimated attitude generation','','1','','','','0.0625','8','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.nominal_floris_pix_size','t2','0','FLOAT','nominal size of FLORIS pixels on ground','','1','','','','300','9','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.floris_co_registration_flag','t2','0','BOOLEAN','Flag indicating if the co-registration instrumental errors are to be modelled or not','','1','','','','false','10','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.floris_interband_co_registration','t2','0','FILE','param. related to geo_location_flag','','1','','','','not used by OSS_A','11','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.floris_temporal_co_registration','t2','0','FILE','Temporal co-registration between FLORIS HR and LR','','1','','','','not used by OSS_A','12','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.num_parallel_cores','t2','0','INTEGER','Number of parallel cores in the CPU to be used to parallelize internally the GEO execution.','','1','','','','0','13','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.floris_geo_location_flag','t2','0','BOOLEAN','Flag indicating if the geo-location instrumental errors are to be modelled or not','','1','','','','false','14','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.floris_geo_location_param','t2','0','FILE','param. related to geo_location_flag','','1','','','','not used by OSS_A','15','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.atm_LUT_interpolation','t2','1','INTEGER','text','','1','','','','1','0','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.land_cover_map_option','t2','1','INTEGER','text','','1','','','','2','1','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.n_land_cover_class_vector','t2','1','STRING','text','','1','','','','10,11,15','2','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.land_cover_map_path','t2','1','FOLDER','text','','1','','','','dummy','3','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.land_cover_map_file','t2','1','FILE','text','','1','','','','/usr/local/flexe/current/auxiliary/SGM/LCC_USER/check.txt','4','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.biophysical_parameter_db','t2','1','FILE','text','','1','','','','/usr/local/flexe/current/auxiliary/SGM/DB_BIO_MODEL/HOR_4C_bio_param_database.cdf','5','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.soil_map_option','t2','1','INTEGER','text','','1','','','','1','6','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.soil_map_vector','t2','1','STRING','text','','1','','','','1,2,3','7','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.soil_cover_map_file','t2','1','FILE','text','','1','','','','dummy','8','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.reflectance_spectral_library','t2','1','FOLDER','text','','1','','','','/usr/local/flexe/current/auxiliary/SGM/DB_BIO_USER/HOR_4C_refl_spec_lib','9','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.atm_param_map_option','t2','1','INTEGER','text','','1','','','','2','10','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.atm_param_map_vector','t2','1','FLOAT','text','','1','','','','2,1,0.15,1,2','11','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.cloud_map_option','t2','1','INTEGER','text','','1','','','','2','12','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.cloud_map_vector','t2','1','FLOAT','text','','1','','','','0,1,3,4','13','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.meteorological_state_library','t2','1','FOLDER','text','','1','','','','/usr/local/flexe/current/auxiliary/SGM/METEO','14','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.wind_state_library','t2','1','FOLDER','text','','1','','','','/usr/local/flexe/current/auxiliary/SGM/WIND','15','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.cloud_masks_files','t2','1','FOLDER','text','','1','','','','/usr/local/flexe/current/auxiliary/SGM/CLOUD','16','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.atmospheric_cloud_lut','t2','1','FOLDER','text','','1','','','','/usr/local/flexe/current/auxiliary/SGM/ATMOS','17','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.num_parallel_cores','t2','1','INTEGER','text','','1','','','','1','18','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('orbit.iniRaan','t3','-1','INTEGER','Example of global parameter','','1','0','10.','','2','0','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.reference_orbit_flex','t3','0','FILE','Path of the reference orbit for a complete FLEX repetition cycle','','1','','','','/usr/local/flexe/current/auxiliary/OSS1/Reference_Orbit_FLEX_6s.nc','0','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.roll_angle','t3','0','FLOAT','Observation roll angle','','1','','','','0.0','1','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.pitch_angle','t3','0','FLOAT','Observation pitch angle','','1','','','','0.0','2','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.real_attitude_error_flex','t3','0','FILE','Path of the file containing the time series for real attitude computation','','1','','','','/usr/local/flexe/current/auxiliary/OSS1/aocsErrors_v1.mat','3','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.estim_attitude_error_flex','t3','0','FILE','Path of the file containing the time series for estimated attitude computation','','1','','','','/usr/local/flexe/current/auxiliary/OSS1/aocsErrors_v1.mat','4','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.estim_orbit_error_flex','t3','0','FILE','Path of the file containing the time series for estimated orbit computation','','1','','','','/usr/local/flexe/current/auxiliary/OSS1/aocsErrors_v1.mat','5','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.floris_geometric_model_file','t3','0','FILE','Path of the file containing the parameters of the geometric model characterizing FLORIS behaviour','','1','','','','/usr/local/flexe/current/auxiliary/OSS1/florisGeometricModel_v4.0.xml','6','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.estim_orbit_sampling_time','t3','0','FLOAT','sampling time for estimated orbit generation','','1','','','','0.0625','7','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.estim_att_sampling_time','t3','0','FLOAT','sampling time for estimated attitude generation','','1','','','','0.0625','8','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.nominal_floris_pix_size','t3','0','FLOAT','nominal size of FLORIS pixels on ground','','1','','','','300','9','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.floris_co_registration_flag','t3','0','BOOLEAN','Flag indicating if the co-registration instrumental errors are to be modelled or not','','1','','','','false','10','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.floris_interband_co_registration','t3','0','FILE','param. related to geo_location_flag','','1','','','','not used by OSS_A','11','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.floris_temporal_co_registration','t3','0','FILE','Temporal co-registration between FLORIS HR and LR','','1','','','','not used by OSS_A','12','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.num_parallel_cores','t3','0','INTEGER','Number of parallel cores in the CPU to be used to parallelize internally the GEO execution.','','1','','','','0','13','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.floris_geo_location_flag','t3','0','BOOLEAN','Flag indicating if the geo-location instrumental errors are to be modelled or not','','1','','','','false','14','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('Geometry.floris_geo_location_param','t3','0','FILE','param. related to geo_location_flag','','1','','','','not used by OSS_A','15','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.atm_LUT_interpolation','t3','1','INTEGER','text','','1','','','','1','0','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.land_cover_map_option','t3','1','INTEGER','text','','1','','','','2','1','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.n_land_cover_class_vector','t3','1','STRING','text','','1','','','','10,11,15','2','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.land_cover_map_path','t3','1','FOLDER','text','','1','','','','dummy','3','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.land_cover_map_file','t3','1','FILE','text','','1','','','','/usr/local/flexe/current/auxiliary/SGM/LCC_USER/check.txt','4','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.biophysical_parameter_db','t3','1','FILE','text','','1','','','','/usr/local/flexe/current/auxiliary/SGM/DB_BIO_MODEL/HOR_4C_bio_param_database.cdf','5','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.soil_map_option','t3','1','INTEGER','text','','1','','','','1','6','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.soil_map_vector','t3','1','STRING','text','','1','','','','1,2,3','7','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.soil_cover_map_file','t3','1','FILE','text','','1','','','','dummy','8','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.reflectance_spectral_library','t3','1','FOLDER','text','','1','','','','/usr/local/flexe/current/auxiliary/SGM/DB_BIO_USER/HOR_4C_refl_spec_lib','9','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.atm_param_map_option','t3','1','INTEGER','text','','1','','','','2','10','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.atm_param_map_vector','t3','1','FLOAT','text','','1','','','','2,1,0.15,1,2','11','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.cloud_map_option','t3','1','INTEGER','text','','1','','','','2','12','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.cloud_map_vector','t3','1','FLOAT','text','','1','','','','0,1,3,4','13','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.meteorological_state_library','t3','1','FOLDER','text','','1','','','','/usr/local/flexe/current/auxiliary/SGM/METEO','14','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.wind_state_library','t3','1','FOLDER','text','','1','','','','/usr/local/flexe/current/auxiliary/SGM/WIND','15','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.cloud_masks_files','t3','1','FOLDER','text','','1','','','','/usr/local/flexe/current/auxiliary/SGM/CLOUD','16','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.atmospheric_cloud_lut','t3','1','FOLDER','text','','1','','','','/usr/local/flexe/current/auxiliary/SGM/ATMOS','17','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('LOCAL.num_parallel_cores','t3','1','INTEGER','text','','1','','','','1','18','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('n_sessions','t3','2','INTEGER','Number of previous sessions involved in the current PEM execution (0=current session)','','1','','','','0','0','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('sessions_ID','t3','2','STRING','ID of the previous simulations to be run','','1','','','','dummy','1','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('display_images','t3','2','INTEGER','Flag to select whether the different plots should be displayed in the screen in addition to storing them on disk. 1=Display, 0=Do not display','','1','','','','0','2','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('scene_geolocation','t3','2','INTEGER','L1b geometric performance. Flag to select whether the scene location over the world map should be displayed. 1=Plot, 0=Do not plot.','','1','','','','1','3','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('L1_scene_geolocation_coordinates_map','t3','2','INTEGER','L1b geometric performance. Flag to select whether the L1b data geolocation coordinates map overlapping the HR scene coordinates map should be displayed. 1=Plot, 0=Do not plot.','','1','','','','1','4','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('floris_ssd_check','t3','2','INTEGER','L1b geometric performance. Flag for the FLORIS Spatial Sampling Distance  (SSD) mean and standard deviation values along-track and across-track for both FLORIS spectrometers. 1=Plot, 0=Do not plot.','','1','','','','1','5','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('L1_floris_geolocation_accuracy_map','t3','2','INTEGER','L1b geometric performance. Flag to select whether the absolute error maps between the FLORIS scene and L1 coordinates will be displayed.','','1','','','','1','6','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('L1_floris_spectral_calibration','t3','2','INTEGER','L1b spectral calibration performance. Selected wavelengths/channel (in nm) for: Central wavelength absolute error vs. column plot; Central wavelength vs. column plot','','2','','','2,2','690,764,688,760','7','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('L1_floris_wavelength_column_indexes','t3','2','INTEGER','L1b spectral calibration performance. Selected across-track pixels (i.e. image columns) for the central wavelength absolute error vs. central wavelength.','','1','','','','1,20,40,60,80','8','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('L1_floris_wavelength_abs_error_image','t3','2','INTEGER','L1b spectral calibration performance. Flag to select whether the central wavelength absolute error images (i.e. absolute error of spectral calibration per column and wavelength) are displayed','','1','','','','1','9','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('L1_floris_spectral_characterization','t3','2','INTEGER','L1b spectral calibration performance. Flag to select whether the FLORIS bandwidth vs. mean FLORIS central wavelengths are plotted.','','1','','','','1','10','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('L1_floris_grey_band_indexes','t3','2','INTEGER','L1b radiometric calibration performance. FLORIS Convolved Scene, FLORIS L1 Image and the FLORIS L1 Image Relative Error map: Band index(es) for the grey-scale image(s)','','2','','','2,4','690,764,-1,-1,500,688,760,780','11','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('L1_floris_bandwise_error_metrics','t3','2','INTEGER','L1b radiometric calibration performance. Flag to select the relative error spectral plots: Mean, Std, Skewness,Kurtosis,...','','1','','','','1','12','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('s3_grey_band_indexes','t3','2','INTEGER','L1b radiometric calibration performance. OLCI and SLSTR (nadir) Convolved Scene, OLCI and SLSTR (nadir) L1 Image and the OLCI and SLSTR (nadir) L1 Image Relative Error map: Band index(es) for the grey-scale image(s)','','2','','','2,6','1,9,12,14,20,21,1,4,6,-1,-1,-1','13','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('L2_floris_fluo_int_map','t3','2','INTEGER','L2 fluorescence retrieval performance. Flag for plot the figures of the integrated total FLORIS fluorescence emission: Reference, Retrieved, Relative errors, scatter plot','','1','','','','1','14','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('L2_floris_fluo_map','t3','2','INTEGER','L2 fluorescence retrieval performance. Flag for plot the figures of the peaks of the FLORIS fluorescence emission spectrum: Reference, Retrieved, Relative errors, scatter plot','','1','','','','1','15','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('L2_floris_min_fluo_map','t3','2','INTEGER','L2 fluorescence retrieval performance. Flag for plot the figures of the local minimum of the FLORIS fluorescence emission spectrum betwwen the two peaks: Reference, Retrieved, Relative errors, scatter plot','','1','','','','1','16','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('L2_floris_real_refl_sam_map','t3','2','INTEGER','L2 surface reflectance retrieval performance. Flag to select whether to plot the pixel-wise Spectral Angle Mapper (limited to 600 nm to 780 nm) metric map on the FLORIS real reflectance spectrum to be plotted','','1','','','','1','17','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('L2_floris_app_refl_map_grey_band_indexes','t3','2','INTEGER','L2 surface reflectance retrieval performance. FLORIS Apparent Reflectance and Relative Error map: Band index(es) for the grey-scale image(s)','','1','','','','500,680,750,780','18','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('L2_floris_app_refl_spectrum','t3','2','INTEGER','L2 surface reflectance retrieval performance. Flag to select whether to plot the mean (+/- standard deviation) of FLORIS Apparent Reflectance spectrum from SGM and L2R','','1','','','','1','19','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('L2_floris_app_refl_bandwise_error_metrics','t3','2','INTEGER','L2 surface reflectance retrieval performance. Flag to select whether to plot the band-wise relative error metric on the FLORIS apparent reflectance','','1','','','','1','20','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('L2_floris_app_refl_sam_map','t3','2','INTEGER','L2 surface reflectance retrieval performance. Flag to select whether to plot SAM error metric maps (full FLORIS spectrum and avoiding the oxygen absorption bands) on the FLORIS apparent reflectance','','1','','','','1','21','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('L2_atm_parameters_error_metrics','t3','2','INTEGER','L2 atmospheric correction performance. Flag to select whether to plot the relative error map and histogram of relative error map images for each retrieved atmospheric parameter','','1','','','','1','22','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('L2_olci_app_refl_sam_map','t3','2','INTEGER','L2 atmospheric correction performance. Flag to select whether to plot SAM error metric map on the S3 (OLCI+SLSTR nadir) apparent reflectance to be plotted','','1','','','','1','23','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('L2_par_parameters_error_metrics','t3','2','INTEGER','L2 atmospheric correction performance. Flag to select whether to plot for each retrieved atmospheric parameter: Reference and Retrieved PAR map, Relative error map, and Histogram of relative error map','','1','','','','1','24','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('L2_pri_parameters_error_metrics','t3','2','INTEGER','L2 atmospheric correction performance. Flag to select whether to plot for each retrieved PRI arameter: Reference and Retrieved PRI parameter maps, Relative error map, Histogram of relative error map','','1','','','','1','25','1');
INSERT INTO `paramofsession` (id,sessionId,modelPlace,type,description,units,ndims,xmin,xmax,dims,valuesList,paramPlace,visible) VALUES('L2_floris_spectral_error_metrics','t3','2','INTEGER','L2 spectral/radiometric re-calibration. Flag to select whether to plot the histogram of the absolute error between the FLORIS L1 and L2 spectral calibration','','1','','','','1','26','1');
DROP TABLE IF EXISTS modelofsession;
CREATE TABLE `modelofsession` (
  `sessionId` char(75) NOT NULL DEFAULT '' COMMENT 'sessionName (YYYY-MM-DD hh:mm:ss.SSS)',
  `place` int(10) unsigned NOT NULL DEFAULT '0',
  `modelId` char(75) NOT NULL,
  `modelVersion` decimal(3,1) unsigned NOT NULL DEFAULT '0.0',
  `executionMode` char(75) NOT NULL DEFAULT 'Processing',
  PRIMARY KEY (`sessionId`,`place`),
  KEY `model-validation` (`modelId`),
  KEY `moses_model_constraint` (`modelId`,`modelVersion`),
  CONSTRAINT `moses_model_constraint` FOREIGN KEY (`modelId`, `modelVersion`) REFERENCES `model` (`id`, `version`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `moses_session_constraint` FOREIGN KEY (`sessionId`) REFERENCES `session` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
INSERT INTO `modelofsession` (sessionId,place,modelId,modelVersion,executionMode) VALUES('t','0','Geometry','0.0','Simulation');
INSERT INTO `modelofsession` (sessionId,place,modelId,modelVersion,executionMode) VALUES('t2','0','Geometry','0.0','Simulation');
INSERT INTO `modelofsession` (sessionId,place,modelId,modelVersion,executionMode) VALUES('t2','1','SceneGeneration','1.0','Simulation');
INSERT INTO `modelofsession` (sessionId,place,modelId,modelVersion,executionMode) VALUES('t3','0','Geometry','0.0','Simulation');
INSERT INTO `modelofsession` (sessionId,place,modelId,modelVersion,executionMode) VALUES('t3','1','SceneGeneration','1.0','Simulation');
INSERT INTO `modelofsession` (sessionId,place,modelId,modelVersion,executionMode) VALUES('t3','2','ProdGen','0.0','Simulation');
DROP TABLE IF EXISTS timeofsession;
CREATE TABLE `timeofsession` (
  `sessionid` char(75) NOT NULL,
  `modelid` char(75) NOT NULL,
  `modelVersion` decimal(3,1) unsigned NOT NULL DEFAULT '0.0',
  `modelExecutionMode` char(75) NOT NULL DEFAULT 'Processing',
  `modelplace` int(11) unsigned NOT NULL DEFAULT '0',
  `time` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT 'Duration of the model in milliseconds',
  PRIMARY KEY (`sessionid`,`modelplace`),
  KEY `Secondary` (`modelid`,`modelVersion`),
  CONSTRAINT `time_model_constraint` FOREIGN KEY (`modelid`, `modelVersion`) REFERENCES `model` (`id`, `version`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `time_session_constraint` FOREIGN KEY (`sessionid`) REFERENCES `session` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
INSERT INTO `timeofsession` (sessionid,modelid,modelVersion,modelExecutionMode,modelplace,time) VALUES('t','Geometry','0.0','Simulation','0','0');
INSERT INTO `timeofsession` (sessionid,modelid,modelVersion,modelExecutionMode,modelplace,time) VALUES('t2','Geometry','0.0','Simulation','0','0');
INSERT INTO `timeofsession` (sessionid,modelid,modelVersion,modelExecutionMode,modelplace,time) VALUES('t2','SceneGeneration','1.0','Simulation','1','0');
INSERT INTO `timeofsession` (sessionid,modelid,modelVersion,modelExecutionMode,modelplace,time) VALUES('t3','Geometry','0.0','Simulation','0','0');
INSERT INTO `timeofsession` (sessionid,modelid,modelVersion,modelExecutionMode,modelplace,time) VALUES('t3','SceneGeneration','1.0','Simulation','1','0');
INSERT INTO `timeofsession` (sessionid,modelid,modelVersion,modelExecutionMode,modelplace,time) VALUES('t3','ProdGen','0.0','Simulation','2','0');
DROP TABLE IF EXISTS toolofsession;
CREATE TABLE `toolofsession` (
  `id` char(75) NOT NULL,
  `action` char(75) NOT NULL,
  `sessionId` char(75) NOT NULL DEFAULT '',
  `place` int(11) NOT NULL DEFAULT '0',
  `parameter` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`,`action`,`sessionId`,`place`),
  KEY `tos_session_constraint` (`sessionId`),
  CONSTRAINT `tos_session_constraint` FOREIGN KEY (`sessionId`) REFERENCES `session` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
DROP TABLE IF EXISTS modelperturbation;
CREATE TABLE `modelperturbation` (
  `sessionId` char(75) NOT NULL DEFAULT '',
  `modelId` char(75) NOT NULL DEFAULT '',
  `modelPlace` int(11) NOT NULL DEFAULT '0',
  `modelVersion` decimal(3,1) unsigned NOT NULL DEFAULT '0.0',
  `executionMode` char(75) NOT NULL DEFAULT 'Processing',
  `description` char(255) DEFAULT '',
  `nShots` int(11) NOT NULL DEFAULT '0',
  `tMin` double NOT NULL DEFAULT '0',
  `tMax` double NOT NULL DEFAULT '0',
  `file` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`sessionId`,`modelPlace`,`modelId`),
  KEY `pert_session_constraint` (`sessionId`),
  KEY `pert_model_constraint` (`modelId`,`modelVersion`),
  CONSTRAINT `pert_model_constraint` FOREIGN KEY (`modelId`, `modelVersion`) REFERENCES `model` (`id`, `version`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `pert_session_constraint` FOREIGN KEY (`sessionId`) REFERENCES `session` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
